<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>

<title>Plupload - Custom example</title>

<!-- production -->
<script type="text/javascript" src="../js/plupload.full.min.js"></script>


<!-- debug 
<script type="text/javascript" src="../js/moxie.js"></script>
<script type="text/javascript" src="../js/plupload.dev.js"></script>
-->

</head>
<body style="font: 13px Verdana; background: #eee; color: #333">

<h1>Custom example</h1>

<p>Shows you how to use the core plupload API.</p>

<div id="filelistP">Your browser doesn't have Flash, Silverlight or HTML5 support.</div>
<br />

<div id="containerP">
    <a id="pickfilesP" href="javascript:;">[Select files]</a> 
    <a id="uploadfilesP" href="javascript:;">[Upload files]</a>
</div>

<br />
<br />
<br />

<div id="filelistV">Your browser doesn't have Flash, Silverlight or HTML5 support.</div>
<br />

<div id="containerV">
    <a id="pickfilesV" href="javascript:;">[Select files]</a> 
    <a id="uploadfilesV" href="javascript:;">[Upload files]</a>
</div>
<br />
<pre id="console"></pre>


<script type="text/javascript">
// Custom example logic

function creeUploader(type)
{
var uploader = new plupload.Uploader({
	runtimes : 'html5,flash,silverlight,html4',
	browse_button : 'pickfiles' + type, // you can pass in id...
	container: document.getElementById('container' + type), // ... or DOM Element itself
	url : 'upload.php',
	flash_swf_url : '../js/Moxie.swf',
	silverlight_xap_url : '../js/Moxie.xap',
	
	filters : {
		max_file_size : '1500mb',
		mime_types: [
			{title : "Image files", extensions : "jpg,gif,png,mkv,wmv"},
			{title : "Zip files", extensions : "zip"}
		]
	},

	init: {
		PostInit: function() {
			document.getElementById('filelist' + type).innerHTML = '';

			document.getElementById('uploadfiles' + type).onclick = function() {
				alert("start "+type);
				uploader.start();
				return false;
			};
		},

		FilesAdded: function(up, files) {
			plupload.each(files, function(file) {
				document.getElementById('filelist' + type).innerHTML += '<div id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></div>';
			});
		},

		UploadProgress: function(up, file) {
			document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = '<span>' + file.percent + "%</span>";
		},

		Error: function(up, err) {
			document.getElementById('console').innerHTML += "\nError #" + err.code + ": " + err.message;
		}
	}
});

return uploader;
}

var uploaderP = creeUploader("P");
var uploaderV = creeUploader("V");

uploaderP.init();
uploaderV.init();

</script>
</body>
</html>
